
#ifndef DISQ_H
#define DISQ_H

#ifndef WIN32
#include <sys/resource.h>
#include <sys/times.h>
#include <unistd.h>
#endif

#include "set.h"
#include "config.h"
#include "qsort.h"



myClassSet *getCatClassComparison(config *aConfig, record *rec1, record *rec2);

mySet *disqualify_findSkyline(myClassSetSetSet *disqSet, config *aConfig, mainOrdering *aMainOrdering);

myClassSetSet * disqualify_findDisqualifying(myClassSetSetSet *disqSet, int pointID, config *aConfig);

void disqualify_printDisqCond(FILE *filePtr, myClassSetSet *disqCond);
void disqualify_print(FILE *filePtr, myClassSetSetSet *disqSet);

void disqualify_getStorage(myClassSetSetSet *disqSet, int *noOfDataPoint, int *noOfCondition, int *noOfDominatingElt);

void disqualifyImplicitPref_main(config *aConfig, myClassSetSetSet *disqualifySet, FILE *debugFilePtr, FILE *timeFilePtr);

#ifndef WIN32
extern void calculateExecutionTime(struct rusage *myTime1, struct rusage *myTime2, float *userTime, float *sysTime);
#endif

#endif
