
#ifndef HEAP_H
#define HEAP_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "rtree.h"

struct heapEntry_s
{
	node_type *aNode;
	double dist;
};

typedef struct heapEntry_s heapEntry;

struct myHeap_s
{
	int noOfElt;
	int size;
	heapEntry *elt;
};

typedef struct myHeap_s myHeap;

myHeap *heap_new();
void heap_free(myHeap *aHeap);
void heap_insertElt(myHeap *aHeap, double dist, node_type **aNode);
heapEntry *heap_removeElt(myHeap *aHeap);

#endif
