
#ifndef QUEUE_H
#define QUEUE_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "CSTree.h"

struct myQueue_s
{
	int noOfElt;
	STNode **elt;
};

typedef struct myQueue_s myQueue;

myQueue *queue_new();
void queue_enqueue(myQueue *aQueue, STNode **no);
STNode *queue_dequeue(myQueue *aQueue);

void queue_free(myQueue *aQueue);

#endif

